package eu.hsrw.ias.ggd;

public class Notification {

  private Severity severity = Severity.Optimal;
  private String type;
  private SensorData cause;

  public Notification(String t, SensorData d, Severity s) {
    this.type = t;
    this.cause = d;
    this.severity = s;
  }

  public String getType() {
    return type;
  }

  public void setType(String type) {
    this.type = type;
  }

  public SensorData getCause() {
    return cause;
  }

  public void setCause(SensorData cause) {
    this.cause = cause;
  }

  public Severity getSeverity() {
    return this.severity;
  }

  public void setSeverity(Severity severity) {
    this.severity = severity;
  }
}
